SortAttribute.Standard
Keywords: net.corda.core.node.services.vault.SortAttribute.Standard class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class SortAttribute.Standard

- net.corda.core.node.services.vault.SortAttribute
- - net.corda.core.node.services.vault.SortAttribute.Standard

- Enclosing class:
    SortAttribute

      public static class SortAttribute.Standard
      extends SortAttribute

  sortAttribute refers to common table attributes defined in the node schemas: VaultState, VaultLinearStates, VaultFungibleStates

  See Also:
    sortAttribute

- - ### Constructor Detail

    - #### Standard

          public Standard(@NotNull
                          net.corda.core.node.services.vault.Sort.Attribute attribute)

      sortAttribute refers to common table attributes defined in the node schemas: VaultState, VaultLinearStates, VaultFungibleStates

      See Also:
        sortAttribute

  - ### Method Detail

    - #### getAttribute

          @NotNull
          public net.corda.core.node.services.vault.Sort.Attribute getAttribute()

    - #### component1

          @NotNull
          public net.corda.core.node.services.vault.Sort.Attribute component1()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.SortAttribute.Standard copy(@NotNull
                                                                                         net.corda.core.node.services.vault.Sort.Attribute attribute)

      sortAttribute refers to common table attributes defined in the node schemas: VaultState, VaultLinearStates, VaultFungibleStates

      See Also:
        sortAttribute

    - #### toString

          @NotNull
          public java.lang.String toString()

      sortAttribute refers to common table attributes defined in the node schemas: VaultState, VaultLinearStates, VaultFungibleStates

      See Also:
        sortAttribute

    - #### hashCode

          public int hashCode()

      sortAttribute refers to common table attributes defined in the node schemas: VaultState, VaultLinearStates, VaultFungibleStates

      See Also:
        sortAttribute

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      sortAttribute refers to common table attributes defined in the node schemas: VaultState, VaultLinearStates, VaultFungibleStates

      See Also:
        sortAttribute